#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB5,0xBC,0x82,0xF8,0x22,0x94,0xAA,0x4B,0xA4,0x42,0x57,0xA3,
		0x23,0xEC,0x5C,0x9F,0xE5,0x8D,0x1B,0xAB,0xF6,0x31,0x58,0x40,
		0x14,0xDF,0xB2,0xC9,0x4E,0x3D,0x1C,0x43,0x35,0x5D,0x86,0x95,
		0x5C,0x80,0x30,0x94,0x24,0x9F,0x8B,0xEF,0x34,0x66,0xA0,0x78,
		0xA6,0x4D,0x7B,0x22,0x1F,0x65,0x54,0x2E,0x9E,0xFB,0xB8,0x4C,
		0xE4,0xB9,0xC6,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
